> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roboconoxon.org.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Event



## OpenAPI

````yaml /openapi.json patch /api/v1/events/{event_id}
openapi: 3.1.0
info:
  title: Robotics Event System V4
  version: 4.0.0
servers: []
security: []
paths:
  /api/v1/events/{event_id}:
    patch:
      tags:
        - events
      summary: Update Event
      operationId: update_event_api_v1_events__event_id__patch
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: integer
            title: Event Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    EventUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        start_time:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: integer
            - type: 'null'
          title: End Time
      type: object
      title: EventUpdate
    EventOut:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        start_time:
          type: integer
          title: Start Time
        end_time:
          type: integer
          title: End Time
      type: object
      required:
        - id
        - name
        - start_time
        - end_time
      title: EventOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````